読者です 読者をやめる 読者になる 読者になる

gem でインストールしようとしたら "Marshal data too short" とエラーになった

Ruby

gem で mechanize をインストールしようとしたらエラーになった。

$ sudo gem install mechanize
ERROR:  While executing gem ... (ArgumentError)
    marshal data too short

[解決]

~/.gem/ を削除したら解決した。
エラーになっていた理由はいまいちわからず…。